# Specific options for chart — ax_plotOptions • apexcharter

Specific options for chart

    ax_plotOptions(
      ax,
      bar = NULL,
      heatmap = NULL,
      radialBar = NULL,
      pie = NULL,
      bubble = NULL,
      ...
    )

## Arguments

ax

  A `apexcharts` `htmlwidget` object.

bar

  See `bar_opts`.

heatmap

  See `heatmap_opts`.

radialBar

  See `radialBar_opts`.

pie

  See `pie_opts`.

bubble

  See `bubble_opts`.

...

  Additional parameters.

## Value

A `apexcharts` `htmlwidget` object.

## Examples

    data("diamonds", package = "ggplot2")

    # Stack bar type
    apex(
      data = diamonds,
      mapping = aes(x = cut)
    ) %>%
      ax_plotOptions(
        bar = bar_opts(endingShape = "rounded", columnWidth = "10%")
      )

    # Pie
    apex(
      data = diamonds,
      mapping = aes(x = cut),
      type = "pie"
    ) %>%
      ax_plotOptions(
        pie = pie_opts(customScale = 0.5)
      )

    # Radial
    apexchart() %>%
      ax_chart(type = "radialBar") %>%
      ax_plotOptions(
        radialBar = radialBar_opts(
          hollow = list(size = "70%")
        )
      ) %>%
      ax_series(70) %>%
      ax_labels("Indicator")